function OnWarpEnter()
	
	PlaySound("Sounds/SFX/A_TempleU.ogg",-1)
	SetMarker("Pi Ramses\\Temple U\\Warp_0035.wp",0,0)
--	if not FIRST_TIME_SEE_SNAKE and TUYA_BECAME_SNAKE then
--		LookAt(092,014)
--		DrawText("TOUY1457","TOUY1457.ogg")
--		DrawText("MAIA1458","MAIA1458.ogg")
--		DrawText("TOUY1459","TOUY1459.ogg")
--		DrawText("TOUY1460","TOUY1460.ogg")
--		FIRST_TIME_SEE_SNAKE = true
--	end
	if TUYA_BECAME_SNAKE then
		StartAnimationPart("SEU1",60,160,-1,true)
		SetMarker("SEU1",4,0)
	else
		SetMarker("Pi Ramses\\Temple U\\Warp_0030.wp",0,0)
	end
end


function OnWarpLeave()
end

function OnMovieFinished(movieId)
	SetMarker("SEU1",-1,0)
	RemoveObject("SEU1")
	RemoveFromBag()
	AddToBag("J_Coffret_serpent_FERME")
	MAYA_BEATED = true
	MAYA_BETRAYED=false
	Khaem_on_Countryyard = false
	DjerStandIn_piU_012 = true
	DjerBlocking_piU_012 = true
	TUYA_BECAME_SNAKE = false
	DrawText("MAIA1474","MAIA1474.ogg")
end

function OnWarpObjectHit(objectName)
	if objectName == "SEU1" then
	   if Selected("J_Coffret_serpent_OUVERT") then
		PlayMovie("Videos/GC_C18_Montage.ogv", "Videos/cine18.ogg")
	   end
		
------------------------------------------------------------
	elseif objectName == "CMT1" then

------------------------------------------------------------
	elseif objectName == "LGT1" then

------------------------------------------------------------
	elseif objectName == "LHT1" then

------------------------------------------------------------
	elseif objectName == "LIT1" then
	end
	if objectName=="3D\\Pi Ramses\\Temple U\\Warp_0035.wp" then
		ChangeWarp(objectName)
        end
end
